;;; mh-autoloads.el --- Automatically extracted external autoloads for MH-E
;;
;;; Copyright (C) 2003, 2004, 2005 Free Software Foundation, Inc.
;;; Author: Bill Wohler <wohler@newt.com>
;;; Keywords: mail
;;; Commentary:
;;
;; If you installed MH-E separately from Emacs, you can set up its entry
;; points using the following in your ~/.emacs file:
;;
;;  (require 'mh-autoloads)
;;
;;; Code:

;;;### (autoloads (mh-folder-mode mh-version mh-nmail mh-rmail) "mh-e"
;;;;;;  "mh-e.el" (17232 17528))
;;; Generated autoloads from mh-e.el

(autoload (quote mh-rmail) "mh-e" "\
Inc(orporate) new mail with MH.
Scan an MH folder if ARG is non-nil. This function is an entry point to MH-E,
the Emacs interface to the MH mail system." t nil)

(autoload (quote mh-nmail) "mh-e" "\
Check for new mail in inbox folder.
Scan an MH folder if ARG is non-nil. This function is an entry point to MH-E,
the Emacs interface to the MH mail system." t nil)

(autoload (quote mh-version) "mh-e" "\
Display version information about MH-E and the MH mail handling system." t nil)

(autoload (quote mh-folder-mode) "mh-e" "\
Major MH-E mode for \"editing\" an MH folder scan listing.\\<mh-folder-mode-map>

You can show the message the cursor is pointing to, and step through the
messages.  Messages can be marked for deletion or refiling into another
folder; these commands are executed all at once with a separate command.

Options that control this mode can be changed with \\[customize-group];
specify the \"mh\" group. In particular, please see the `mh-scan-format-file'
option if you wish to modify scan's format.

When a folder is visited, the hook `mh-folder-mode-hook' is run.

Ranges
======
Many commands that operate on individual messages, such as `mh-forward' or
`mh-refile-msg' take a RANGE argument. This argument can be used in several
ways.

If you provide the prefix argument (\\[universal-argument]) to these commands,
then you will be prompted for the message range. This can be any valid MH
range which can include messages, sequences, and the abbreviations (described
in the mh(1) man page):

<num1>-<num2>
    Indicates all messages in the range <num1> to <num2>, inclusive. The range
    must be nonempty.

`<num>:N'
`<num>:+N'
`<num>:-N'
    Up to N messages beginning with (or ending with) message num. Num may be
    any of the pre-defined symbols: first, prev, cur, next or last.

`first:N'
`prev:N'
`next:N'
`last:N'
    The first, previous, next or last messages, if they exist.

`all'
    All of the messages.

For example, a range that shows all of these things is `1 2 3 5-10 last:5
unseen'.

If the option `transient-mark-mode' is set to t and you set a region in the
MH-Folder buffer, then the MH-E command will perform the operation on all
messages in that region.

\\{mh-folder-mode-map}" t nil)

;;;***

;;;### (autoloads nil "mh-init" "mh-init.el" (17231 59324))
;;; Generated autoloads from mh-init.el

(put (quote mh-progs) (quote risky-local-variable) t)

(put (quote mh-lib) (quote risky-local-variable) t)

(put (quote mh-lib-progs) (quote risky-local-variable) t)

;;;***

;;;### (autoloads (mh-letter-mode mh-smail-other-window mh-user-agent-compose
;;;;;;  mh-smail-batch mh-smail) "mh-comp" "mh-comp.el" (17231 55121))
;;; Generated autoloads from mh-comp.el

(autoload (quote mh-smail) "mh-comp" "\
Compose and send mail with the MH mail system.
This function is an entry point to MH-E, the Emacs interface to the MH mail
system.

See `mh-send' for more details on composing mail." t nil)

(autoload (quote mh-smail-batch) "mh-comp" "\
Set up a mail composition draft with the MH mail system.
This function is an entry point to MH-E, the Emacs interface to the MH mail
system. This function does not prompt the user for any header fields, and thus
is suitable for use by programs that want to create a mail buffer. Users
should use `mh-smail' to compose mail.

Optional arguments for setting certain fields include TO, SUBJECT, and
OTHER-HEADERS. Additional arguments are IGNORED." nil nil)

(autoload (quote mh-user-agent-compose) "mh-comp" "\
Set up mail composition draft with the MH mail system.
This is `mail-user-agent' entry point to MH-E.

The optional arguments TO and SUBJECT specify recipients and the
initial Subject field, respectively.

OTHER-HEADERS is an alist specifying additional
header fields.  Elements look like (HEADER . VALUE) where both
HEADER and VALUE are strings.

CONTINUE, SWITCH-FUNCTION, YANK-ACTION and SEND-ACTIONS are ignored." nil nil)

(autoload (quote mh-smail-other-window) "mh-comp" "\
Compose and send mail in other window with the MH mail system.
This function is an entry point to MH-E, the Emacs interface to the MH mail
system.

See `mh-send' for more details on composing mail." t nil)

(autoload (quote mh-letter-mode) "mh-comp" "\
Mode for composing letters in MH-E.\\<mh-letter-mode-map>

When you have finished composing, type \\[mh-send-letter] to send the message
using the MH mail handling system.

There are two types of MIME directives used by MH-E: Gnus and MH. The option
`mh-compose-insertion' controls what type of directives are inserted by MH-E
commands. These directives can be converted to MIME body parts by running
\\[mh-edit-mhn] for mhn directives or \\[mh-mml-to-mime] for Gnus directives.
This step is mandatory if these directives are added manually. If the
directives are inserted with MH-E commands such as \\[mh-compose-insertion],
the directives are expanded automatically when the letter is sent.

Options that control this mode can be changed with
\\[customize-group]; specify the \"mh-compose\" group.

When a message is composed, the hooks `text-mode-hook' and
`mh-letter-mode-hook' are run.

\\{mh-letter-mode-map}" t nil)

;;;***

(provide 'mh-autoloads)
;;; Local Variables:
;;; version-control: never
;;; no-byte-compile: t
;;; no-update-autoloads: t
;;; End:
;;; mh-autoloads.el ends here
